[arch-commits] Commit in plan9port/repos (12 files)

Alexander Rødseth arodseth at nymeria.archlinux.org
Thu Sep 26 18:54:27 UTC 2013


    Date: Thursday, September 26, 2013 @ 20:54:27
  Author: arodseth
Revision: 97651

archrelease: copy trunk to community-x86_64, community-i686

Added:
  plan9port/repos/community-i686/PKGBUILD
    (from rev 97650, plan9port/trunk/PKGBUILD)
  plan9port/repos/community-i686/plan9.install
    (from rev 97650, plan9port/trunk/plan9.install)
  plan9port/repos/community-i686/plan9.sh
    (from rev 97650, plan9port/trunk/plan9.sh)
  plan9port/repos/community-x86_64/PKGBUILD
    (from rev 97650, plan9port/trunk/PKGBUILD)
  plan9port/repos/community-x86_64/plan9.install
    (from rev 97650, plan9port/trunk/plan9.install)
  plan9port/repos/community-x86_64/plan9.sh
    (from rev 97650, plan9port/trunk/plan9.sh)
Deleted:
  plan9port/repos/community-i686/PKGBUILD
  plan9port/repos/community-i686/plan9.install
  plan9port/repos/community-i686/plan9.sh
  plan9port/repos/community-x86_64/PKGBUILD
  plan9port/repos/community-x86_64/plan9.install
  plan9port/repos/community-x86_64/plan9.sh

--------------------------------+
 /PKGBUILD                      |  136 +++++++++++++++++++++++++++++++++++++++
 /plan9.install                 |   42 ++++++++++++
 /plan9.sh                      |    4 +
 community-i686/PKGBUILD        |   68 -------------------
 community-i686/plan9.install   |   21 ------
 community-i686/plan9.sh        |    2 
 community-x86_64/PKGBUILD      |   68 -------------------
 community-x86_64/plan9.install |   21 ------
 community-x86_64/plan9.sh      |    2 
 9 files changed, 182 insertions(+), 182 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2013-09-26 18:54:16 UTC (rev 97650)
+++ community-i686/PKGBUILD	2013-09-26 18:54:27 UTC (rev 97651)
@@ -1,68 +0,0 @@
-# $Id$
-# Maintainer: Alexander Rødseth <rodseth at gmail.com>
-# Contributor: phrakture <aaronmgriffin--gmail--com>
-# Contributor: Fazlul Shahriar
-# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
-
-pkgname=plan9port
-pkgver=20130320
-pkgrel=1
-pkgdesc='Port of many programs from Plan 9 to Unix-like operating systems'
-arch=('x86_64' 'i686')
-url='http://swtch.com/plan9port/'
-license=('custom')
-depends=('xorg-server' 'libxt' 'libxext' 'sh' 'fuse')
-optdepends=('python2: for the codereview script')
-provides=('plan9')
-install='plan9.install'
-options=('!zipman')
-source=("http://swtch.com/$pkgname/$pkgname-$pkgver.tgz"
-        'plan9.sh')
-sha256sums=('49a5e6c97c76f0846c45791bda10d6b3ba5c4453855e401980e8e04f92e830fa'
-            '0247c4446497359d305aaec069b07180fbf79ce4fa5191464cd9ebb8c7f0228d')
-
-package() {
-  cd "$srcdir/plan9"
-
-  # Package
-  ./INSTALL -b
-  install -Dm755 ../plan9.sh "$pkgdir/etc/profile.d/plan9.sh"
-  mkdir -p "$pkgdir/opt" "$pkgdir/usr/share/doc/$pkgname"
-  cp -r "$srcdir/plan9" "$pkgdir/opt/"
-  cd "$pkgdir/opt/plan9"
-  ./INSTALL -c -r "$pkgdir/opt/plan9"
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-
-  # Clean up
-  rm -rf .hg/
-  rm -f .hgignore .hgtags
-  find . -name '.cvsignore' -print0 |xargs -0 rm -f
-  rm -f config install.log install.sum install.txt configure Makefile INSTALL \
-    LICENSE
-
-  # Fix hardcoded paths
-  for f in `grep -H -r "$pkgdir/opt/plan9" | cut -d: -f1`; do
-    echo -n "\t$f"
-    [ -e "$f" ] && sed -i "s:$pkgdir/opt/plan9:/opt/plan9:" "$f" || true
-  done
-
-  # Fix python scripts
-  find "$pkgdir" -name '*.py' -print0 |xargs -0 \
-    sed -i -e 's,^#!/usr/bin/env python$,#!/usr/bin/python2,' \
-    -e 's,^#!/usr/bin/python$,#!/usr/bin/python2,'
-
-  # Package text files
-  for i in CHANGES CONTRIBUTORS README TODO; do
-    install -m644 $i "$pkgdir/usr/share/doc/$pkgname"
-    rm -f $i
-  done
-
-  # Decompress the plan9 man pages
-  for i in `find /opt/plan9/man -type f`; do
-    if [ ${i##*.} = "gz" ]; then
-      gunzip "$i"
-    fi
-  done
-}
-
-# vim:set ts=2 sw=2 et:

Copied: plan9port/repos/community-i686/PKGBUILD (from rev 97650, plan9port/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2013-09-26 18:54:27 UTC (rev 97651)
@@ -0,0 +1,68 @@
+# $Id$
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: phrakture <aaronmgriffin--gmail--com>
+# Contributor: Fazlul Shahriar
+# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
+
+pkgname=plan9port
+pkgver=20130926
+pkgrel=1
+pkgdesc='Port of many programs from Plan 9 to Unix-like operating systems'
+arch=('x86_64' 'i686')
+url='http://swtch.com/plan9port/'
+license=('custom')
+depends=('xorg-server' 'libxt' 'libxext' 'sh' 'fuse')
+optdepends=('python2: for the codereview script')
+provides=('plan9')
+install='plan9.install'
+options=('!zipman')
+source=("http://swtch.com/$pkgname/$pkgname-$pkgver.tgz"
+        'plan9.sh')
+sha256sums=('9ba90b04bc45bec3e197e6c12f68f270c15ba1a9f68a6051e1f2b99503b6b2a7'
+            '0247c4446497359d305aaec069b07180fbf79ce4fa5191464cd9ebb8c7f0228d')
+
+package() {
+  cd plan9
+
+  ./INSTALL -b
+  install -Dm755 ../plan9.sh "$pkgdir/etc/profile.d/plan9.sh"
+  install -d "$pkgdir/opt"
+  install -d "$pkgdir/usr/share/doc/$pkgname"
+  cp -r "$srcdir/plan9" "$pkgdir/opt/"
+  cd "$pkgdir/opt/plan9"
+  ./INSTALL -c -r "$pkgdir/opt/plan9"
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+  # Clean up
+  rm -rf .hg/
+  rm -f .hgignore .hgtags
+  find . -name '.cvsignore' -print0 |xargs -0 rm -f
+  rm -f config install.log install.sum install.txt configure Makefile INSTALL \
+    LICENSE
+
+  # Fix hardcoded paths
+  for f in `grep -H -r "$pkgdir/opt/plan9" | cut -d: -f1`; do
+    echo -n "\t$f"
+    [ -e "$f" ] && sed -i "s:$pkgdir/opt/plan9:/opt/plan9:" "$f" || true
+  done
+
+  # Fix python scripts
+  find "$pkgdir" -name '*.py' -print0 |xargs -0 \
+    sed -i -e 's,^#!/usr/bin/env python$,#!/usr/bin/python2,' \
+    -e 's,^#!/usr/bin/python$,#!/usr/bin/python2,'
+
+  # Package text files
+  for i in CHANGES CONTRIBUTORS README TODO; do
+    install -m644 $i "$pkgdir/usr/share/doc/$pkgname"
+    rm -f $i
+  done
+
+  # Decompress the plan9 man pages
+  for i in `find /opt/plan9/man -type f`; do
+    if [ ${i##*.} = "gz" ]; then
+      gunzip "$i"
+    fi
+  done
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-i686/plan9.install
===================================================================
--- community-i686/plan9.install	2013-09-26 18:54:16 UTC (rev 97650)
+++ community-i686/plan9.install	2013-09-26 18:54:27 UTC (rev 97651)
@@ -1,21 +0,0 @@
-post_install() {
-  echo ""
-  echo "==> In order to use Plan9 specific apps, run them"
-  echo "    as arguments to the '9' script, i.e. '9 date'"
-  echo "==> Please log off or 'source /etc/profile.d/plan9.sh'"
-  echo "==> Run '9 man 1 intro | less' to begin"
-  source /etc/profile.d/plan9.sh
-}
-
-post_upgrade() {
-  post_install
-}
-
-pre_upgrade() {
-  post_remove
-}
-
-post_remove() {
-  #we had to unpack them so they won't get removed....
-  rm -rf /opt/plan9/man
-}

Copied: plan9port/repos/community-i686/plan9.install (from rev 97650, plan9port/trunk/plan9.install)
===================================================================
--- community-i686/plan9.install	                        (rev 0)
+++ community-i686/plan9.install	2013-09-26 18:54:27 UTC (rev 97651)
@@ -0,0 +1,21 @@
+post_install() {
+  echo ""
+  echo "==> In order to use Plan9 specific apps, run them"
+  echo "    as arguments to the '9' script, i.e. '9 date'"
+  echo "==> Please log off or 'source /etc/profile.d/plan9.sh'"
+  echo "==> Run '9 man 1 intro | less' to begin"
+  source /etc/profile.d/plan9.sh
+}
+
+post_upgrade() {
+  post_install
+}
+
+pre_upgrade() {
+  post_remove
+}
+
+post_remove() {
+  #we had to unpack them so they won't get removed....
+  rm -rf /opt/plan9/man
+}

Deleted: community-i686/plan9.sh
===================================================================
--- community-i686/plan9.sh	2013-09-26 18:54:16 UTC (rev 97650)
+++ community-i686/plan9.sh	2013-09-26 18:54:27 UTC (rev 97651)
@@ -1,2 +0,0 @@
-export PLAN9=/opt/plan9
-export PATH=$PATH:$PLAN9/bin

Copied: plan9port/repos/community-i686/plan9.sh (from rev 97650, plan9port/trunk/plan9.sh)
===================================================================
--- community-i686/plan9.sh	                        (rev 0)
+++ community-i686/plan9.sh	2013-09-26 18:54:27 UTC (rev 97651)
@@ -0,0 +1,2 @@
+export PLAN9=/opt/plan9
+export PATH=$PATH:$PLAN9/bin

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2013-09-26 18:54:16 UTC (rev 97650)
+++ community-x86_64/PKGBUILD	2013-09-26 18:54:27 UTC (rev 97651)
@@ -1,68 +0,0 @@
-# $Id$
-# Maintainer: Alexander Rødseth <rodseth at gmail.com>
-# Contributor: phrakture <aaronmgriffin--gmail--com>
-# Contributor: Fazlul Shahriar
-# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
-
-pkgname=plan9port
-pkgver=20130320
-pkgrel=1
-pkgdesc='Port of many programs from Plan 9 to Unix-like operating systems'
-arch=('x86_64' 'i686')
-url='http://swtch.com/plan9port/'
-license=('custom')
-depends=('xorg-server' 'libxt' 'libxext' 'sh' 'fuse')
-optdepends=('python2: for the codereview script')
-provides=('plan9')
-install='plan9.install'
-options=('!zipman')
-source=("http://swtch.com/$pkgname/$pkgname-$pkgver.tgz"
-        'plan9.sh')
-sha256sums=('49a5e6c97c76f0846c45791bda10d6b3ba5c4453855e401980e8e04f92e830fa'
-            '0247c4446497359d305aaec069b07180fbf79ce4fa5191464cd9ebb8c7f0228d')
-
-package() {
-  cd "$srcdir/plan9"
-
-  # Package
-  ./INSTALL -b
-  install -Dm755 ../plan9.sh "$pkgdir/etc/profile.d/plan9.sh"
-  mkdir -p "$pkgdir/opt" "$pkgdir/usr/share/doc/$pkgname"
-  cp -r "$srcdir/plan9" "$pkgdir/opt/"
-  cd "$pkgdir/opt/plan9"
-  ./INSTALL -c -r "$pkgdir/opt/plan9"
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-
-  # Clean up
-  rm -rf .hg/
-  rm -f .hgignore .hgtags
-  find . -name '.cvsignore' -print0 |xargs -0 rm -f
-  rm -f config install.log install.sum install.txt configure Makefile INSTALL \
-    LICENSE
-
-  # Fix hardcoded paths
-  for f in `grep -H -r "$pkgdir/opt/plan9" | cut -d: -f1`; do
-    echo -n "\t$f"
-    [ -e "$f" ] && sed -i "s:$pkgdir/opt/plan9:/opt/plan9:" "$f" || true
-  done
-
-  # Fix python scripts
-  find "$pkgdir" -name '*.py' -print0 |xargs -0 \
-    sed -i -e 's,^#!/usr/bin/env python$,#!/usr/bin/python2,' \
-    -e 's,^#!/usr/bin/python$,#!/usr/bin/python2,'
-
-  # Package text files
-  for i in CHANGES CONTRIBUTORS README TODO; do
-    install -m644 $i "$pkgdir/usr/share/doc/$pkgname"
-    rm -f $i
-  done
-
-  # Decompress the plan9 man pages
-  for i in `find /opt/plan9/man -type f`; do
-    if [ ${i##*.} = "gz" ]; then
-      gunzip "$i"
-    fi
-  done
-}
-
-# vim:set ts=2 sw=2 et:

Copied: plan9port/repos/community-x86_64/PKGBUILD (from rev 97650, plan9port/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2013-09-26 18:54:27 UTC (rev 97651)
@@ -0,0 +1,68 @@
+# $Id$
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: phrakture <aaronmgriffin--gmail--com>
+# Contributor: Fazlul Shahriar
+# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
+
+pkgname=plan9port
+pkgver=20130926
+pkgrel=1
+pkgdesc='Port of many programs from Plan 9 to Unix-like operating systems'
+arch=('x86_64' 'i686')
+url='http://swtch.com/plan9port/'
+license=('custom')
+depends=('xorg-server' 'libxt' 'libxext' 'sh' 'fuse')
+optdepends=('python2: for the codereview script')
+provides=('plan9')
+install='plan9.install'
+options=('!zipman')
+source=("http://swtch.com/$pkgname/$pkgname-$pkgver.tgz"
+        'plan9.sh')
+sha256sums=('9ba90b04bc45bec3e197e6c12f68f270c15ba1a9f68a6051e1f2b99503b6b2a7'
+            '0247c4446497359d305aaec069b07180fbf79ce4fa5191464cd9ebb8c7f0228d')
+
+package() {
+  cd plan9
+
+  ./INSTALL -b
+  install -Dm755 ../plan9.sh "$pkgdir/etc/profile.d/plan9.sh"
+  install -d "$pkgdir/opt"
+  install -d "$pkgdir/usr/share/doc/$pkgname"
+  cp -r "$srcdir/plan9" "$pkgdir/opt/"
+  cd "$pkgdir/opt/plan9"
+  ./INSTALL -c -r "$pkgdir/opt/plan9"
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+  # Clean up
+  rm -rf .hg/
+  rm -f .hgignore .hgtags
+  find . -name '.cvsignore' -print0 |xargs -0 rm -f
+  rm -f config install.log install.sum install.txt configure Makefile INSTALL \
+    LICENSE
+
+  # Fix hardcoded paths
+  for f in `grep -H -r "$pkgdir/opt/plan9" | cut -d: -f1`; do
+    echo -n "\t$f"
+    [ -e "$f" ] && sed -i "s:$pkgdir/opt/plan9:/opt/plan9:" "$f" || true
+  done
+
+  # Fix python scripts
+  find "$pkgdir" -name '*.py' -print0 |xargs -0 \
+    sed -i -e 's,^#!/usr/bin/env python$,#!/usr/bin/python2,' \
+    -e 's,^#!/usr/bin/python$,#!/usr/bin/python2,'
+
+  # Package text files
+  for i in CHANGES CONTRIBUTORS README TODO; do
+    install -m644 $i "$pkgdir/usr/share/doc/$pkgname"
+    rm -f $i
+  done
+
+  # Decompress the plan9 man pages
+  for i in `find /opt/plan9/man -type f`; do
+    if [ ${i##*.} = "gz" ]; then
+      gunzip "$i"
+    fi
+  done
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-x86_64/plan9.install
===================================================================
--- community-x86_64/plan9.install	2013-09-26 18:54:16 UTC (rev 97650)
+++ community-x86_64/plan9.install	2013-09-26 18:54:27 UTC (rev 97651)
@@ -1,21 +0,0 @@
-post_install() {
-  echo ""
-  echo "==> In order to use Plan9 specific apps, run them"
-  echo "    as arguments to the '9' script, i.e. '9 date'"
-  echo "==> Please log off or 'source /etc/profile.d/plan9.sh'"
-  echo "==> Run '9 man 1 intro | less' to begin"
-  source /etc/profile.d/plan9.sh
-}
-
-post_upgrade() {
-  post_install
-}
-
-pre_upgrade() {
-  post_remove
-}
-
-post_remove() {
-  #we had to unpack them so they won't get removed....
-  rm -rf /opt/plan9/man
-}

Copied: plan9port/repos/community-x86_64/plan9.install (from rev 97650, plan9port/trunk/plan9.install)
===================================================================
--- community-x86_64/plan9.install	                        (rev 0)
+++ community-x86_64/plan9.install	2013-09-26 18:54:27 UTC (rev 97651)
@@ -0,0 +1,21 @@
+post_install() {
+  echo ""
+  echo "==> In order to use Plan9 specific apps, run them"
+  echo "    as arguments to the '9' script, i.e. '9 date'"
+  echo "==> Please log off or 'source /etc/profile.d/plan9.sh'"
+  echo "==> Run '9 man 1 intro | less' to begin"
+  source /etc/profile.d/plan9.sh
+}
+
+post_upgrade() {
+  post_install
+}
+
+pre_upgrade() {
+  post_remove
+}
+
+post_remove() {
+  #we had to unpack them so they won't get removed....
+  rm -rf /opt/plan9/man
+}

Deleted: community-x86_64/plan9.sh
===================================================================
--- community-x86_64/plan9.sh	2013-09-26 18:54:16 UTC (rev 97650)
+++ community-x86_64/plan9.sh	2013-09-26 18:54:27 UTC (rev 97651)
@@ -1,2 +0,0 @@
-export PLAN9=/opt/plan9
-export PATH=$PATH:$PLAN9/bin

Copied: plan9port/repos/community-x86_64/plan9.sh (from rev 97650, plan9port/trunk/plan9.sh)
===================================================================
--- community-x86_64/plan9.sh	                        (rev 0)
+++ community-x86_64/plan9.sh	2013-09-26 18:54:27 UTC (rev 97651)
@@ -0,0 +1,2 @@
+export PLAN9=/opt/plan9
+export PATH=$PATH:$PLAN9/bin




More information about the arch-commits mailing list